:root {
    --bs-nav-link-font-size: 14px;
}
.btn-primary{
	--bs-btn-bg: #ec7c14;
    --bs-btn-border-color: #ec7c14;
}
.btn-primary:hover {
    color: #fff;
    background-color: #c9680f;
    border-color: #c9680f;
}
.navbar-nav{
	--bs-nav-link-color: #000;
	--bs-navbar-nav-link-padding-x: 0.75rem;
	--bs-nav-link-padding-y: 0.55rem;
}
html, body{
	overflow-x: hidden;
}
img{
	max-width: 100%;
}
a{
	text-decoration: none;
}
header .btn-primary{
	display: inline-flex;
	align-items: center;
	gap: 10px;
}
.desktop-header{
	margin-bottom: 15px;
}
.top-header{
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 10px 5px;
}
.top-header img{
	max-width: 140px;
}
.top-header a.btn.btn-light {
    box-shadow: 0px 2px 4.3px 0px #70707040;
    background: #F1F1F1;
    border: none;
}
.header-box{
	background-color: #EC7C14;
	border-radius: 18px;
	overflow: hidden;
}
.header-box .form-box{
	padding: 10px;
	display: flex;
}
.header-box form {
    display: flex;
    gap: 15px;
    padding: 10px;
    background-color: #F3A054;
    border-radius: 8px;
}
.header-box .bottom-box{
	padding: 8px 15px;
	background-color: #F3A054;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.header-box .bottom-box > span{
	color: #C86000;
	font-size: 15px;
	font-weight: 700;
}
.header-box .bottom-box .btn{
	box-shadow: 0px 2px 4.3px 0px #70707040;
}
.home-box{
	background-color: #F1F1F1;
	padding: 30px;
	border-radius: 18px;
	margin-bottom: 15px;
}
.property-card{
	padding: 15px;
	box-shadow: 0px 2px 4.3px 0px #70707040;
	background-color: #fff;
	border-radius: 18px;
}
.property-card h3 {
    font-size: 15px;
    color: #000;
    min-height: 45px;
    line-height: 1.5;
}
.property-card img{
	max-width: 100%;
	border-radius: 18px;
	margin-bottom: 8px;
	aspect-ratio: 4 / 3;
    object-fit: cover;
}
.property-card span.price {
    background-color: #EC7C14;
    padding: 4px 8px;
    color: #fff;
    border-radius: 5px;
    font-size: 13px;
}
.banner-home{
	margin-bottom: 15px;
	display: flex;
}
.banner-home img{
	border-radius: 18px;
}
.category-widget{
	background-color: #F1F1F1;
	padding: 20px;
	margin-bottom: 15px;
	border-radius: 18px;
}
.form-box .btn{
    display: flex;
    align-items: center;
	gap: 10px;
}
.form-box .input-group{
	background: #fff;
	border-radius: 8px;
	min-width: 450px;
}
.form-box .input-group .input-group-text {
    border: none;
    background: #fff;

}
.form-box .input-group .form-control{
	border: none;
	box-shadow: none !important;
}
.form-box .input-group .input-group-text:nth-child(3), .form-box .input-group input:nth-child(4){
	background-color: #FFF8F3;
}
.form-box .input-group .input-group-text:nth-child(3){
	border-radius: 8px 0 0 8px !important;
}
.tag-cities {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    background: #fff;
    padding: 24px;
    border-radius: 8px;
    align-items: flex-start;
}

.tag-cities a {
    background: #EC7C14;
    color: #fff;
    padding: 10px 16px;
    border-radius: 10px;
    box-shadow: 0px 3px 10.7px 0px #70707099;

    display: inline-flex;
    align-items: center;
    justify-content: center;

    width: 130px;            /* عرض ثابت و تمیز */
    height: 44px;            /* ارتفاع یکدست */

    font-size: 13px;
    font-weight: 700;
    line-height: 1;

    white-space: nowrap;     /* ⛔ جلوگیری از رفتن به خط بعد */
    overflow: hidden;        /* ⛔ */
    text-overflow: ellipsis; /* … */

    text-align: center;
    transition: 0.2s;
}

.tag-cities a:hover {
    background-color: #c9680f;
    box-shadow: 0px 6px 16px 0px #70707066;
    transform: translateY(-1px);
}
footer#footer{
	background: #EC7C14;
	padding-top: 45px;
	padding-bottom: 20px;
}
footer .logo-row{
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}
footer .logo-row span{
	color: #fff;
	font-size: 20px;
	font-weight: 700;
}
footer  ul{
	padding: 0;
	list-style: none;
	line-height: 2;
	margin-bottom: 0;
}
footer  ul li a{
	color: #fff;
	font-size: 16px;
	font-weight: 600;
}

.single-info-box .photos .col-md-4 > div{
	display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-between;
}
.single-info-box .photos img{
	border-radius: 18px;
	height: auto;
}
.description-row{
	background-color: #F1F1F1;
	border-radius: 18px;
	padding: 20px;
}
.single-info-box, .mapbox{
    box-shadow: 0px 2px 4.3px 0px #70707040;
    padding: 15px;
    border-radius: 18px;
    background-color: #fff;
}
.mapbox h3, .review-section > h2{
    font-size: 1.4em;
    font-weight: bold;
    line-height: 1;
    margin-bottom: 15px;
}
.price-box{
	display: flex;
	flex-direction: column;
	line-height: 1.3;
}
.price-box > span:first-child {
    font-size: 11px;
    color: #EB5757;
    font-weight: 700;
}
.price-box > span:nth-child(2){
	font-size: 24px;
	color: #EB5757;
	font-weight: 700;
}
.price-box > span:nth-child(2) span{
	font-size: 11px;
	margin-left: 5px;
}
.price-box > span:nth-child(3){
	color: #BDBDBD;
	font-size: 10px;
	font-weight: 700;
}
.price-box + div{
	font-size: 16px;
    font-weight: bold;
    color: #4F4F4F;
    display: flex;
    align-items: center;
    gap: 2px;
}
.price-box + div svg{
	display: flex;
}
form.woocommerce-form.woocommerce-form-login.login, form.woocommerce-form.woocommerce-form-register.register {
    background: #ec7c14;
    min-width: 480px;
    max-width: 480px;
    margin: 0 auto;
    color: #fff;
    box-shadow: 0px 5px 41.1px 0px #00000040;
    border: none;
    border-radius: 18px;
    margin-bottom: 45px;
    padding: 20px;
}
.woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea {
    border: none;
    border-radius: 14px;
    line-height: 2;
    padding: 8px 12px;
}
.woocommerce .woocommerce-form-login .woocommerce-form-login__rememberme{
	display: none;
}
.woocommerce .woocommerce-form-login .woocommerce-form-login__submit, .woocommerce .woocommerce-form-register .woocommerce-form-register__submit {
    float: left;
    margin-right: 1em;
    width: 100%;
    box-shadow: 0px 2px 4.3px 0px #70707040;
    background: #F3A054;
    color: #fff;
    padding: 18px;
    border-radius: 14px;
    margin-top: 15px;
}
.woocommerce-LostPassword.lost_password a{
	color: #fff;
	font-weight: 600;
}
.woocommerce-form-login .form-row label{
	font-weight: 600;
}
.woocommerce-account:not(.logged-in) header{
	display: none;
}
.woocommerce-account:not(.logged-in) div.woocommerce{
	background: url(../images/login-bg.png);
	min-height: 80vh;
	display: flex;
    align-items: center;
    justify-content: center;
}
.woocommerce-account:not(.logged-in) footer{
	min-height: 20vh;
}
.woocommerce .woocommerce-form-login .woocommerce-error {
    border-top-color: #b81c23;
    border-radius: 14px;
    outline: none;
}
.single-info-box h1 {
    font-size: 1.4em;
    font-weight: bold;
    line-height: 1.6;
    margin-top: 15px;
}
div > .single-info-box, .description-row{
	margin-bottom: 15px;
}
div > .single-info-box:last-child, .description-row:last-child{
	margin-bottom: 0;
}
.leaflet-container .leaflet-control-attribution{
    display: none;
}
.noreview {
    box-shadow: 0px 2px 4.3px 0px #70707040;
    background: #fff;
    text-align: center;
    padding: 15px;
    border-radius: 18px;
    color: #828282;
    font-size: 12px;
    font-weight: 600;
}
.category-widget > span {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 10px;
}
.category-widget a {
    color: #000;
    display: block;
    font-size: 14px;
    line-height: 2;
}
.category-widget a.active{
    font-weight: 800;
}
.archive-side {
    background: #ec7c14;
    border-radius: 18px;
    padding: 15px;
}
.archive-side  .category-widget{
    background: none;
    padding: 0;
}
.archive-side .category-widget a{
    color: #fff;
}
.archive-side .category-widget a.active{
    font-weight: 800;
}
.social-icons {
    display: flex;
    flex-wrap: wrap;
}
.social-icons div {
    width: 50%;
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 15px;
    font-size: 16px;
    font-weight: 700;
    color: #EC7C14;
}
.social-icons div span:first-child {
    background: #EC7C14;
    border-radius: 12px;
    padding: 8px;
}
#contactModal .modal-header > div{
    display: flex;
    flex-direction: column;
}
#contactModal .modal-header > div span{
    color: #000000;
    font-size: 22px;
    font-weight: 700;
}
#contactModal .modal-header > div span:first-child{
    color: #828282;
    font-size: 12px;
    font-weight: 700;
}
#contactModal .modal-footer{
    border-top: 0;
}
#contactModal .modal-footer button {
    background: #EC7C14;
    border: none;
    padding: 8px 45px;
    margin: auto;
    min-width: 50%;
    border-radius: 18px;
    font-weight: 700;
    font-size: 16px;
}
.woocommerce-MyAccount-navigation ul {
    padding: 0;
    margin: 0;
    list-style: none;
}
.woocommerce-MyAccount-navigation ul li a {
    display: flex;
    align-items: center;
    gap: 8px;
    background: #fff;
    border-radius: 18px;
    color: #828282;
    padding: 15px 15px;
    font-size: 13px;
    font-weight: 600;
    transition: 0.3s;
}
.woocommerce-MyAccount-navigation ul li{
    margin-bottom: 10px;
}
.woocommerce-MyAccount-navigation ul li:last-child{
    margin-bottom: 0;
}
.woocommerce-MyAccount-navigation ul li a:before {
    width: 20px;
    height: 20px;
    display: inline-flex;
    background-size: cover;
    font-family: "Font Awesome 5 Pro";
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
    font-weight: 400;
    font-size: 20px;
    color: #ec7c14;
    transition: 0.3s;
}
#gform_1{
    color: #828282;
}
.gform_wrapper.gravity-theme .gfield input, .gform_wrapper.gravity-theme .gfield textarea, .gform_wrapper.gravity-theme .ginput_complex select{
    border-radius: 6px;
    border: none;
    outline: none;
}
.gform_wrapper.gravity-theme .gfield_label {
    font-weight: 600;
    color: #828282;
    font-size: 14px;
}
.gfield.rent-request {
    display: flex !important;
    white-space: nowrap;
}
.gfield.rent-request .gfield_label{
    width: 150px;
}
.gfield.rent-request .gfield_radio{
    display: flex;
    gap: 10px;
}
.gform_wrapper.gravity-theme .gform_button {
    background: #EC7C14;
    color: #fff;
    font-size: 14px;
    padding: 10px 20px;
    font-weight: 600;
}
li.woocommerce-MyAccount-navigation-link--dashboard a:before {
    content: "\f406";
}
li.woocommerce-MyAccount-navigation-link--edit-account a:before {
    content: "\f30d";
}
li.woocommerce-MyAccount-navigation-link--submit-property a:before{
    content:  "\e00d";
}
li.woocommerce-MyAccount-navigation-link--customer-logout a:before{
    content: "\f2f5";
}
.woocommerce-MyAccount-navigation ul li a:hover, .woocommerce-MyAccount-navigation ul li.is-active a{
    background-color: #ec7c14;
    color: #fff;
}
.woocommerce-MyAccount-navigation ul li a:hover:before, .woocommerce-MyAccount-navigation ul li.is-active a:before{
    color: #fff;
}
@media(max-width: 728px){
	.form-box .input-group{
		min-width: auto;
	}
	.header-box form{
		flex-direction: column;
	}
	.banner-home-box
	{
		display: flex;
		gap: 10px;
	}
}
.home-box .tag-cities a{
  white-space: nowrap !important;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
  width: 130px !important;
  height: 44px !important;
  display: inline-flex !important;
  align-items: center !important;
  justify-content: center !important;
  line-height: 1 !important;
}
body { outline: 5px solid red !important; }
